# $Revision: 1.22 $, $Date: 2009/10/02 08:28:36 $
Summary:	X.org video driver for Rendition/Micron video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Rendition/Micron
Name:		xorg-driver-video-rendition
Version:	4.2.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-rendition-%{version}.tar.bz2
# Source0-md5:	9a0a916fe1e7b5c81cd4c80a08e646cc
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-rendition < 1:7.0.0
Obsoletes:	XFree86-Rendition
Obsoletes:	XFree86-driver-rendition < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*.uc

%description
X.org video driver for Rendition/Micron video chips. It supports PCI
and AGP video cards based on the following chips: Verite V1000, Verite
V2100, Verite V2200.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Rendition/Micron.
Obsługuje karty PCI i AGP oparte na następujących układach: Verite
V1000, Verite V2100, Verite V2200.

%prep
%setup -q -n xf86-video-rendition-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/rendition_drv.so
%{_libdir}/xorg/modules/v10002d.uc
%{_libdir}/xorg/modules/v20002d.uc
%{_mandir}/man4/rendition.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-rendition.spec,v $
Revision 1.22  2009/10/02 08:28:36  arekm
- release 2

Revision 1.21  2009/09/20 06:16:05  arekm
- up to 4.2.3

Revision 1.20  2009/08/20 06:24:44  amateja
- updated to 4.2.2

Revision 1.19  2009/02/25 21:39:00  arekm
- up to 4.2.1

Revision 1.18  2009/02/25 21:06:25  arekm
- release 5

Revision 1.17  2008/10/06 01:57:27  shadzik
- _noautosript .*.uc files

Revision 1.16  2008/08/30 16:34:05  arekm
- release 3

Revision 1.15  2008/07/01 16:10:17  arekm
- release 2

Revision 1.14  2008-03-19 19:08:05  arekm
- up to 4.2.0

Revision 1.13  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.12  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.11  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.10  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.8  2006/12/16 15:31:33  arekm
- up to 4.1.3

Revision 1.7  2006/11/06 10:13:31  qboosh
- updated to 4.1.2

Revision 1.6  2006/10/17 14:50:40  qboosh
- updated to 4.1.1

Revision 1.5  2006/04/11 10:32:55  qboosh
- updated to 4.1.0

Revision 1.4  2006/01/09 11:53:20  qboosh
- 4.0.1.3 (X11R7.0 release)

Revision 1.3  2005/12/07 15:33:12  qboosh
- 4.0.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:27:16  qboosh
- 4.0.1 (X11R7.0-RC2)

Revision 1.1  2005/10/30 12:16:50  qboosh
- new
